## gnat-4.9 4.9.1-1ubuntu2

=== debian/changelog ===
gnat-4.9 (4.9.1-1ubuntu2) utopic; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Jul 2014 19:34:08 +0200

gnat-4.9 (4.9.1-1) unstable; urgency=low

  * New upstream release.  Build-depend on gcc-4.9-source (>= 4.9.1).
    Closes: #755490.
  * debian/rules.d/binary-ada.mk: install the test-summary file in package
    gnat-4.9 instead of gnat-4.9-base.  test-summary is actually
    architecture-dependent.  This change reflects what happens in gcc-4.9
    and gcc-4.9-base as well.  Closes: #749869.

  Merge from gcc-4.9 (4.9.1-2) unstable; urgency=medium

  * Update to SVN 20140724 (r213031) from the gcc-4_9-branch.

  * Fix installing test logs and summaries.
  * Warn about ppc ELFv2 ABI issues, which will change in GCC 4.10.
  * Don't gzip the xz compressed testsuite logs and summaries.
  * Build libphobos on armel and armhf. Fixes: #755390.
  * Update the Linaro support to the 4.9-2014.07 release.

  Merge from gcc-4.9 (4.9.1-1) unstable; urgency=medium

  * GCC 4.9.1 release.
  * Update GDC form the 4.9 branch (20140712).

  Merge from gcc-4.9 (4.9.0-11) unstable; urgency=medium

  * GCC 4.9.1 release candidate 1.
  * Update to SVN 20140712 (r212479) from the gcc-4_9-branch.
    - Fix PR middle-end/61725. Fixes: #754548.

  * Add libstdc++ symbols files for mips64 and mips64el (Yunqiang Su).
    Fixes: #745372.
  * Set java_cpu to ppc64 on ppc64el.
  * Build AArch64 from the Linaro 4.9-2014.06 release.
  * Re-enable running the testsuite on KFreeBSD and the Hurd.
  * Re-enable running the libstdc++ testsuite on arm*, mips* and hppa.

  Merge from gcc-4.9 (4.9.0-10) unstable; urgency=medium

  * Update to SVN 20140704 (r212295) from the gcc-4_9-branch.

  * Explicitly set cpu_32 to ultrasparc for sparc64 builds.
  * Fix --with-long-double-128 for sparc32 when defaulting to 64-bit.
  * Ignore missing libstdc++ symbols on armel and hppa. The future and
    exception_ptr implementation is incomplete. For more information see
    https://gcc.gnu.org/ml/gcc/2014-07/msg00000.html.

  Merge from gcc-4.9 (4.9.0-9) unstable; urgency=medium

  * Update to SVN 20140701 (r212192) from the gcc-4_9-branch.
  * Update libstdc++ symbols files for ARM.
  * Configure --with-cpu-32=ultrasparc on sparc64.

  Merge from gcc-4.9 (4.9.0-8) unstable; urgency=medium

  * Update to SVN 20140624 (r211959) from the gcc-4_9-branch.

  * Don't ignore dpkg-shlibdeps errors for libstdc++6, left over from initial
    4.9 uploads.
  * Update libgcc1 symbols for sh4. Fixes: #751919.
  * Stop building the libvtv packages. Not usable unless the build is
    configured with --enable-vtable-verify, which comes with a performance
    penalty just for the stubs in libstdc++.
  * Update libstdc++ and libvtv symbols files for builds configured with
    --enable-vtable-verify.
  * Remove version requirement for dependency on make. Fixes: #751891.
  * Fix removal of python byte-code files in libstdc++6. Fixes: #751435.
  * Fix a segfault in the driver from calling free on non-malloc'd area.
  * Drop versioned build dependency on gdb, and apply the pretty printer
    patch for libstdc++ based on the release.
  * Add support to build with isl-0.13.

  Merge from gcc-4.9 (4.9.0-7) unstable; urgency=medium

  * Update to SVN 20140616 (r211699) from the gcc-4_9-branch.

  [ Matthias Klose ]
  * Fix patch application for powerpcspe (Helmit Grohne). Fixes: #751001.
    + Update context for powerpc_remove_many.
    + Drop gcc-powerpcspe-ldbl-fix applied upstream.

  [ Aurelien Jarno ]
  * Fix PR c++/61336, taken from the trunk.

  Merge from gcc-4.9 (4.9.0-6) unstable; urgency=medium

  * Update to SVN 20140608 (r211353) from the gcc-4_9-branch.
  * Fix -Wno-format when -Wformat-security is the default (Steve Beattie).
    LP: #1317305.
  * Don't install the libstdc++ pretty printer file into the debug directory,
    but into the gdb auto-load directory.
  * Fix the removal of the libstdc++6 package, removing byte-compiled pretty
    printer files and pycache directories.
  * Fix PR c++/61046, taken from the trunk. LP: #1313102.
  * Fix installation of gcc-{ar,nm,ranlib} man pages for snapshot builds.
    Fixes: #745906.
  * Update patches for snapshot builds.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon, 28 Jul 2014 00:41:16 +0200

gnat-4.9 (4.9.0-2) unstable; urgency=low

  * Lintian warnings:
  * debian/control.m4 (gnat-4.9-base): Multi-Arch: same.
  * debian/patches/ada-749574.diff: new.  Closes: #749574.
 
  Merge from gcc-4.9 (4.9.0-5) unstable; urgency=medium

  * Update to SVN 20140527 (r210956) from the gcc-4_9-branch.
  * Limit systemtap-sdt-dev build dependency to enumerated linux architectures.
  * Build libitm on AArch64, patch taken from the trunk.
  * Update the testsuite to allow more testcases to pass with hardening options
    turned on (Steve Beattie). LP: #1317307.
  * Revert the fix for PR rtl-optimization/60969, causing bootstrap failure
    on ppc64el.
  * Fix PR other/61257, check for working sys/sdt.h.
  * Drop the libstdc++-arm-wno-abi patch, not needed anymore in 4.9.

  Merge from gcc-4.9 (4.9.0-4) unstable; urgency=medium

  * Update to SVN 20140518 (r210592) from the gcc-4_9-branch.
  * Update the local ada-libgnatprj patch for AArch64. Addresses: #748233.
  * Update the libstdc++v-python3 patch. Fixes: #748317, #738341, 747903.
  * Build-depend on systemtap-sdt-dev, on every architecure, doesn't seem to hurt
    on architectures where it is not supported. Fixes: #748315.
  * Update the gcc-default-format-security patch (Steve Beattie). LP: #1317305.
  * Apply the proposed patch for PR c/57653. Fixes: #734345.

  Merge from gcc-4.9 (4.9.0-3) unstable; urgency=medium

  * Update to SVN 20140512 (r210323) from the gcc-4_9-branch.

  [ Matthias Klose ]
  * Update build dependencies for ada enabled snapshot builds.
  * Fix PR tree-optimization/60902, taken from the trunk. Fixes: #746944.
  * Ensure that the common libs (built from the next GCC version) are

