=== debian/control ===
Source: gnat-4.9
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Ludovic Brenta <lbrenta@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 5.0.62), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mipsel mipsn32 mipsn32el powerpc ppc64 s390 s390x sparc sparc64 x32], 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el s390x sparc64 x32], libn32gcc1 [mips mipsel mips64 mips64el], lib64gcc1 [i386 mips mipsel mipsn32 mipsn32el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el], libc6-dev-x32 [amd64 i386], libx32gcc1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc1 [armel], libc6-dev-armel [armhf], libsfgcc1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], 
  m4, libtool, autoconf2.64, 
  libunwind7-dev (>= 0.98.5-6) [ia64], libatomic-ops-dev [ia64], 
  systemtap-sdt-dev [i386 amd64 x32 ia64 s390 powerpc powerpcspe ppc64 armel armhf arm64], 
  autogen, zlib1g-dev, gawk, lzma, xz-utils, patchutils, 
  binutils (>= 2.22) | binutils-multiarch (>= 2.22), binutils-hppa64 (>= 2.22) [hppa], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb, 
  texinfo (>= 4.3), locales, sharutils, 
  procps, gnat (>= 4.1) | gnat-4.9 | gnat-4.6 (>= 4.6.4-2), gcc-4.9-source (>= 4.9.1), gcc-4.9-source (<< 4.9.2), 
  libcloog-isl-dev (>= 0.18), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), 
  dejagnu [!m68k], realpath (>= 1.9.12), chrpath, lsb-release, quilt
Build-Depends-Indep:  
Homepage: http://gcc.gnu.org/
Vcs-Browser: http://svn.debian.org/viewsvn/gcccvs/branches/sid/gcc-4.9/
Vcs-Svn: svn://anonscm.debian.org/gcccvs/branches/sid/gcc-4.9

Package: gnat-4.9-base
Architecture: any
# "all" causes build instabilities for "any" dependencies (see #748388).
Multi-Arch: same
Section: libs
Priority: optional
Depends: ${misc:Depends}
Breaks: gcc-4.6 (<< 4.6.1-8~)
Built-Using: ${Built-Using}
Description: GNU Ada compiler (common files)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 This package contains files common to all GNAT related packages.

Package: gnat-4.9
Architecture: any
Priority: optional
Pre-Depends: multiarch-support
Depends: gnat-4.9-base (= ${gnat:Version}), gcc-4.9 (>= ${gcc:SoftVersion}), ${dep:libgnat}, ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat-4.9-doc, ada-reference-manual-2012, gnat-4.9-sjlj
Breaks:   gnat (<< 4.6.1), dh-ada-library (<< 6.0), gnat-4.6-base (= 4.6.4-2),
 gnat-4.9-base (= 4.9-20140330-1)
Replaces: gnat (<< 4.6.1), dh-ada-library (<< 6.0), gnat-4.6-base (= 4.6.4-2),
 gnat-4.9-base (= 4.9-20140330-1)
# Takes over symlink from gnat (<< 4.6.1): /usr/bin/gnatgcc.
# Takes over file from dh-ada-library (<< 6.0): debian_packaging.mk.
# g-base 4.6.4-2, 4.9-20140330-1 contain debian_packaging.mk by mistake.
# Newer versions of gnat and dh-ada-library will not provide these files.
Conflicts: gnat (<< 4.1), gnat-3.1, gnat-3.2, gnat-3.3, gnat-3.4, gnat-3.5,
 gnat-4.0, gnat-4.1, gnat-4.2, gnat-4.3, gnat-4.4, gnat-4.6, gnat-4.7, gnat-4.8
# These other packages will continue to provide /usr/bin/gnatmake and
# other files.
Built-Using: ${Built-Using}
Description: GNU Ada compiler
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 This package provides the compiler, tools and runtime library that handles
 exceptions using the default zero-cost mechanism.

Package: gnat-4.9-sjlj
Architecture: any
Priority: extra
Pre-Depends: multiarch-support
Depends: gnat-4.9-base (= ${gnat:Version}), gnat-4.9 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: GNU Ada compiler (setjump/longjump runtime library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 This package provides an alternative runtime library that handles
 exceptions using the setjump/longjump mechanism (as a static library
 only).  You can install it to supplement the normal compiler.

Package: libgnat-4.9
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Depends: gnat-4.9-base (= ${gnat:Version}), ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${Built-Using}
Description: runtime for applications compiled with GNAT (shared library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnat library provides runtime components needed by most
 applications produced with GNAT.
 .
 This package contains the runtime shared library.

Package: libgnat-4.9-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Depends: gnat-4.9-base (= ${gnat:Version}), libgnat-4.9 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: runtime for applications compiled with GNAT (debugging symbols)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnat library provides runtime components needed by most
 applications produced with GNAT.
 .
 This package contains the debugging symbols.

Package: libgnatvsn4.9-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: gnat-4.9-base (= ${gnat:Version}), gnat-4.9 (= ${gnat:Version}),
 libgnatvsn4.9 (= ${gnat:Version}), ${misc:Depends}
Conflicts: libgnatvsn-dev (<< 4.9), libgnatvsn4.1-dev, libgnatvsn4.3-dev, libgnatvsn4.4-dev, libgnatvsn4.5-dev, libgnatvsn4.6-dev
Built-Using: ${Built-Using}
Description: GNU Ada compiler selected components (development files)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnatvsn library exports selected GNAT components for use in other
 packages, most notably ASIS tools. It is licensed under the GNAT-Modified
 GPL, allowing to link proprietary programs with it.
 .
 This package contains the development files and static library.

Package: libgnatvsn4.9
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Section: libs
Depends: gnat-4.9-base (= ${gnat:Version}), libgnat-4.9 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: GNU Ada compiler selected components (shared library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnatvsn library exports selected GNAT components for use in other
 packages, most notably ASIS tools. It is licensed under the GNAT-Modified
 GPL, allowing to link proprietary programs with it.
 .
 This package contains the runtime shared library.

Package: libgnatvsn4.9-dbg
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Section: debug
Depends: gnat-4.9-base (= ${gnat:Version}), libgnatvsn4.9 (= ${gnat:Version}), ${misc:Depends}
Suggests: gnat
Built-Using: ${Built-Using}
Description: GNU Ada compiler selected components (debugging symbols)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnatvsn library exports selected GNAT components for use in other
 packages, most notably ASIS tools. It is licensed under the GNAT-Modified
 GPL, allowing to link proprietary programs with it.
 .
 This package contains the debugging symbols.

Package: libgnatprj4.9-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: gnat-4.9-base (= ${gnat:Version}), gnat-4.9 (= ${gnat:Version}),
 libgnatprj4.9 (= ${gnat:Version}),
 libgnatvsn4.9-dev (= ${gnat:Version}), ${misc:Depends}
Conflicts: libgnatprj-dev (<< 4.9), libgnatprj4.1-dev, libgnatprj4.3-dev, libgnatprj4.4-dev, libgnatprj4.5-dev, libgnatprj4.6-dev
Built-Using: ${Built-Using}
Description: GNU Ada compiler Project Manager (development files)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 GNAT uses project files to organise source and object files in large-scale
 development efforts. The libgnatprj library exports GNAT project files
 management for use in other packages, most notably ASIS tools (package
 asis-programs) and GNAT Programming Studio (package gnat-gps). It is
 licensed under the pure GPL; all programs that use it must also be
 distributed under the GPL, or not distributed at all.
 .
 This package contains the development files and static library.

Package: libgnatprj4.9
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Section: libs
Depends: gnat-4.9-base (= ${gnat:Version}), libgnat-4.9 (= ${gnat:Version}), libgnatvsn4.9 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: GNU Ada compiler Project Manager (shared library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 GNAT uses project files to organise source and object files in large-scale
 development efforts. The libgnatprj library exports GNAT project files
 management for use in other packages, most notably ASIS tools (package
 asis-programs) and GNAT Programming Studio (package gnat-gps). It is
 licensed under the pure GPL; all programs that use it must also be
 distributed under the GPL, or not distributed at all.
 .
 This package contains the runtime shared library.

Package: libgnatprj4.9-dbg
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Section: debug
Depends: gnat-4.9-base (= ${gnat:Version}), libgnatprj4.9 (= ${gnat:Version}), ${misc:Depends}
Suggests: gnat
Built-Using: ${Built-Using}
Description: GNU Ada compiler Project Manager (debugging symbols)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 GNAT uses project files to organise source and object files in large-scale
 development efforts. The libgnatprj library exports GNAT project files
 management for use in other packages, most notably ASIS tools (package
 asis-programs) and GNAT Programming Studio (package gnat-gps). It is
 licensed under the pure GPL; all programs that use it must also be
 distributed under the GPL, or not distributed at all.
 .
 This package contains the debugging symbols.

Package: gnat-4.9-doc
Architecture: all
Section: doc
Priority: optional
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: gnat-4.9
Conflicts: gnat-4.1-doc, gnat-4.2-doc, gnat-4.3-doc, gnat-4.4-doc, gnat-4.6-doc
Built-Using: ${Built-Using}
Description: GNU Ada compiler (documentation)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
