## gnat-4.9 4.9.2-1

=== debian/changelog ===
gnat-4.9 (4.9.2-1) unstable; urgency=low

  * debian/patches/ada-revert-pr42978.diff: new; revert the changes to
    preserve ALI compatibility of libgnatprj4.9 with previous 4.9 versions.
    To be removed in the next major version.

  Merge from gcc-4.9 (4.9.2-2) unstable; urgency=medium

  * Update to SVN 20141117 (r217768) from the gcc-4_9-branch.
    - Fix PR rtl-optimization/63475, PR rtl-optimization/63483 (gfortran
      aliasing fixes for alpha), PR target/63538 (x86), PR ipa/63838 (wrong
      code), PR target/61535 (sparc), PR c++/63265 (diagnostic), PR ada/42978.
  * Fix PR c/61553 (ice on illegal code), backported from the trunk.
    Fixes: #767668.
  * Disable building the sanitizer libs on powerpc and ppc64. Not yet
    completely ported, and causing kernel crashes running the tests.
  * Update the Linaro support to the 4.9-2014.11 release.

  Merge from gcc-4.9 (4.9.2-1) unstable; urgency=medium

  * GCC 4.9.2 release.
  * Update GDC from the 4.9 branch.

  [ Matthias Klose ]
  * Allow to build the gcc-base package only.

  Merge from gcc-4.9 (4.9.1-19) unstable; urgency=medium

  * GCC 4.9.2 release candidate.
  * Update to SVN 20141023 (r216594) from the gcc-4_9-branch.
  * Install sanitizer header files.
  * Apply patch for PR 60655, taken from the trunk.
  * Fix typo in the libstdc++ HTML docs. Fixes: #766498.
  * Use doxygen's copy of jquery.js for the libstdc++ docs. Fixes: #766499.
  * Force self-contained cross builds.
  * Don't build functionally non-equivalent cross compilers.
  * Update the Linaro support to the 4.9-2014.10-1 release.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 19 Nov 2014 22:40:07 +0100

gnat-4.9 (4.9.1-4) unstable; urgency=low

  * debian/patches/ada-libgnatvsn.diff: compile the version.o of
    libgnatvsn.{a,so} with -DBASEVER=$(FULLVER) to align it with the
    change made in gcc-base-version.diff, which is compiled into gcc and
    gnat1.  Closes: #759038.
  * debian/patches/ada-revert-pr63225.diff: new; preserve the aliversion
    compatibility of libgnatvsn4.9-dev with -3.

  Merge from gcc-4.9 (4.9.1-18) unstable; urgency=medium

  * Update to SVN 20141018 (r216426) from the gcc-4_9-branch.

  [ Matthias Klose ]
  * Update libstdc++ symbols file for powerpcspe (Roland Stigge).
    Fixes: #765078.

  Merge from gcc-4.9 (4.9.1-17) unstable; urgency=medium

  * Update to SVN 20141015 (r216240) from the gcc-4_9-branch.
    - Fix PR c++/63405 (ice) Fixes: #761549.
    - Fix PR ipa/61144 (wrong code). Fixes: #748681.

  Merge from gcc-4.9 (4.9.1-16) unstable; urgency=medium

  * Update to SVN 20140930 (r215717) from the gcc-4_9-branch.
  * Don't suggest libvtv and binutils-gold. Fixes: #761612.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 21 Oct 2014 09:30:07 +0200

gnat-4.9 (4.9.1-3) unstable; urgency=low

  * Rebuild on official buildds.  Closes: #759407.

  Merge from gcc-4.9 (4.9.1-15) unstable; urgency=medium

  * Update to SVN 20140919 (r215401) from the gcc-4_9-branch.

  [ Matthias Klose ]
  * Extend the fix for PR target/63190 (AArch64). Fixes: #758964.
  * Apply proposed fix for Linaro #331, LP: #1353729 (AArch64).

  [ Aurelien Jarno ]
  * Default to mips64 ISA on mips64el, with tuning for mips64r2.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon, 22 Sep 2014 00:33:32 +0200

gnat-4.9 (4.9.1-2) unstable; urgency=low

  [Svante Signell]
  * debian/patches/ada-hurd.diff: update and bring up to par with
    ada-kfreebsd.diff.

  [Ludovic Brenta]
  * Rebuild with newer dpkg.  Closes: #761248.

  Merge from gcc-4.9 (4.9.1-14) unstable; urgency=medium

  * Update to SVN 20140912 (r215228) from the gcc-4_9-branch.
  * Update the Linaro support to the 4.9-2014.09 release.
  * Fix installation of the libstdc++ documentation. Fixes: #760872.

  Merge from gcc-4.9 (4.9.1-13) unstable; urgency=medium

  * Update to SVN 20140908 (r215008) from the gcc-4_9-branch.
  * Enable cgo on AArch64 (Michael Hudson). LP: #1361940.
  * Update the Linaro support from the Linaro/4.9 branch.
  * Fix PR target/63190 (AArch64), taken from the trunk. Fixes: #758964.

  Merge from gcc-4.9 (4.9.1-12) unstable; urgency=medium

  [ Samuel Thibault ]
  * boehm-gc: use anonymous mmap instead of brk also on hurd-*.
    Fixes: #753791.

  Merge from gcc-4.9 (4.9.1-11) unstable; urgency=medium

  * Update to SVN 20140830 (r214759) from the gcc-4_9-branch.
  * Update cross installation patches for the branch.
  * Use the base version (4.9) when accessing files in gcc_lib_dir.

  Merge from gcc-4.9 (4.9.1-10) unstable; urgency=medium

  * Update to SVN 20140830 (r214751) from the gcc-4_9-branch.
  * Fix jni symlinks in /usr/lib/jvm. Fixes: #759558.
  * Update the Linaro support from the Linaro/4.9 branch.
    - Fixes Aarch64 cross build on i386.

  Merge from gcc-4.9 (4.9.1-9) unstable; urgency=medium

  * Update to SVN 20140824 (r214405) from the gcc-4_9-branch.
  * Fix -dumpversion output to print the full version number.
    Addresses: #759038. LP: #1360404.
    Use the GCC base version for the D include dir name.

  Merge from gcc-4.9 (4.9.1-8) unstable; urgency=medium

  * Update to SVN 20140820 (r214215) from the gcc-4_9-branch.
  * Fix PR middle-end/61294, -Wmemset-transposed-args, taken from the trunk.
    LP: #1352836.
  * Update the Linaro support to 4.9-2014.08.
  * Fix PR tree-optimization/59586, graphite segfault, taken from the trunk.
    LP: #1227789.
  * Fix multilib castrated cross builds on mips64el (YunQiang Su, Helmut
    Grohne). Fixes: #758408.
  * Apply Proposed patch for PR target/62040 (AArch64). LP: #1351227.
    Fixes: #757738.

  Merge from gcc-4.9 (4.9.1-7) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.17.11).

  Merge from gcc-4.9 (4.9.1-6) unstable; urgency=medium

  * Update to SVN 20140813 (r213955) from the gcc-4_9-branch.
  * Really fix the GFDL build on AArch64. Fixes: #757153.
  * Disable Ada for snapshot builds on kfreebsd-i386, kfreebsd-amd64.
    Local patch needs an update and upstreaming.

