## gnat-4.9 4.9.2-1ubuntu1

=== debian/changelog ===
gnat-4.9 (4.9.2-1ubuntu1) vivid; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Dec 2014 10:00:59 +0100
