=== debian/watch ===
version=2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(4\.9[\d\.]*)	debian	uupdate
